codappix/cgl-php

Contains PHP_CodeSniffer rules for php that we like. Uses PSR-2 as base rules.

Installs: 1 466

Dependents: 1

Suggesters: 0

Security: 0

Stars: 0

Watchers: 3

Forks: 0

Open Issues: 0

Type:phpcodesniffer-standard

3.0.0 2019-10-17 11:57 UTC

This package is auto-updated.

Last update: 2020-10-17 16:15:28 UTC


README

Installation

You have to require the package via composer composer require codappix/cgl-php.

Afterwards, there are multiple ways to install the standard. We recommend to require dealerdirect/phpcodesniffer-composer-installer which handles the installation.

What does it do?

The goal of this package is to provide our PHP cgl rules, which are based on PSR-12, via composer. The package uses PHP_CodeSniffer to sniff the configured PHP files and show errors.

How to use

After installation, the standard is available as CDXPHP.

Current state

This is the initial version of this ruleset. We are currently only using the PSR-12 rules. Custom rules and sniffs will follow when needed.

This is a early version. More information can be taken from Github at current issues.